{% extends 'blog/base.html' %}

{% block content %}
  <div class="post">
    {% if post.published_date %}
      <span class="date">
        {{ post.published_date }}
      </span>
    {% else %}
      <a class="btn btn-default" href="{% url 'post_publish' pk=post.pk %}">Publish</a>
    {% endif %}
    {% if user.is_authenticated %}
    <a class="btn btn-default" href="{% url 'post_edit' pk=post.pk %}"><span class="glyphicon glyphicon-pencil"></span></a>
    <a class="btn btn-default" href="{% url 'post_remove' pk=post.pk %}"><span class="glyphicon glyphicon-remove"></span></a>
    {% endif %}
    <h1>{{ post.title }}</h1>
    <p>{{ post.text|linebreaksbr }}</p>
  </div>
{% endblock %}
